把想实现的事,挂在树上。
愿望不逐条回复。同类愿望多了会优先评估。 如需答复,请联系在线客服。
简体中文
Appearance
当前接口 · 小红书笔记评论 API (V2)
使用游标分页和普通、最新或点赞数排序,获取小红书(RedNote)笔记的评论。用于支持反馈审查、讨论分析和评论管理工作流。
使用说明
我们推荐默认使用 latest 排序。如果某些笔记使用 latest 无法获取评论,请尝试使用 normal 重试。
latest
normal
token
string
noteId
lastCursor
sort
like_count
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/xiaohongshu/get-note-comment/v2?token=YOUR_API_KEY¬eId=VALUE'
我想使用 JustOneAPI 提供的“笔记评论 (V2)”接口。 接入地址: https://api.justoneapi.com。 接口路径: /api/xiaohongshu/get-note-comment/v2?token=YOUR_API_KEY¬eId=VALUE 接口地址: BASE_URL + /api/xiaohongshu/get-note-comment/v2?token=YOUR_API_KEY¬eId=VALUE HTTP 方法: GET 身份验证: 在 URL 中传入 token 查询参数。 OpenAPI 定义: https://docs.justoneapi.com/openapi/xiaohongshu-rednote/note-comments-v2-zh.json 请求参数说明: - token (query): 此 API 服务的访问令牌。 (必填) - noteId (query): 一个小红书笔记ID或包含 /explore/ 的探索URL。 (必填) - lastCursor (query): 上一页的分页游标(使用上一次响应返回的游标值)。 - sort (query): 结果集的排序策略。 可用值: - `normal`:普通 - `latest`:最新 - `like_count`:点赞数 返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。 响应处理与错误码: 1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。 2. 超时建议:建议将请求超时时间设置为 120 秒;如果 120 秒偏长,请至少设置为 60 秒,但可能会有少量请求因超时而未接收到结果。 3. 业务码说明: - 0: 成功 - 100: Token 无效或已失效 - 301: 采集失败,请重试 - 302: 超出速率限制 - 303: 超出每日配额 - 400: 参数错误 - 500: 内部服务器错误 - 600: 权限不足 - 601: 账户余额不足 - 602: TOKEN 限额超限 4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨,多个 TOKEN 仍共享同一个账户余额。 请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
import requests BASE_URL = "https://api.justoneapi.com" # 由 OpenAPI servers 提供 url = BASE_URL + "/api/xiaohongshu/get-note-comment/v2?token=YOUR_API_KEY¬eId=VALUE" response = requests.get(url, timeout=120) print(response.status_code) if response.content: content_type = response.headers.get("content-type", "").lower() if "json" in content_type: try: print(response.json()) except ValueError: print(response.text) elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}: print(response.text) else: with open("response.bin", "wb") as output: output.write(response.content) print(f"Saved {len(response.content)} bytes to response.bin")
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供 const url = BASE_URL + "/api/xiaohongshu/get-note-comment/v2?token=YOUR_API_KEY¬eId=VALUE"; const response = await fetch(url, { method: "GET", signal: AbortSignal.timeout(120000) }); console.log(response.status); const responseBytes = await response.arrayBuffer(); if (responseBytes.byteLength) { const contentType = (response.headers.get("content-type") || "").toLowerCase(); const mediaType = contentType.split(";", 1)[0].trim(); const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType); if (textual) { const responseText = new TextDecoder().decode(responseBytes); let data = responseText; if (contentType.includes("json")) { try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ } } console.log(data); } else { console.log(`Received ${responseBytes.byteLength} binary bytes`); } }
import java.net.URI; import java.net.http.HttpClient; import java.net.http.HttpRequest; import java.net.http.HttpResponse; import java.time.Duration; import java.nio.charset.StandardCharsets; import java.nio.file.Files; import java.nio.file.Path; public class Main { public static void main(String[] args) throws Exception { final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供 final String url = BASE_URL + "/api/xiaohongshu/get-note-comment/v2?token=YOUR_API_KEY¬eId=VALUE"; HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build(); HttpRequest.Builder builder = HttpRequest.newBuilder() .uri(URI.create(url)) .timeout(Duration.ofSeconds(120)) .method("GET", HttpRequest.BodyPublishers.noBody()); HttpRequest request = builder.build(); HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray()); System.out.println(response.statusCode()); String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase(); String mediaType = contentType.split(";", 2)[0].trim(); if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) { System.out.println(new String(response.body(), StandardCharsets.UTF_8)); } else { Files.write(Path.of("response.bin"), response.body()); System.out.println("Saved " + response.body().length + " bytes to response.bin"); } } }
package main import ( "fmt" "io" "os" "strings" "net/http" "time" ) const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供 func main() { client := &http.Client{Timeout: 120 * time.Second} url := BASE_URL + "/api/xiaohongshu/get-note-comment/v2?token=YOUR_API_KEY¬eId=VALUE" req, _ := http.NewRequest("GET", url, nil) resp, _ := client.Do(req) defer resp.Body.Close() fmt.Println(resp.StatusCode) bodyBytes, _ := io.ReadAll(resp.Body) contentType := strings.ToLower(resp.Header.Get("Content-Type")) mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0]) if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" { fmt.Println(string(bodyBytes)) } else { os.WriteFile("response.bin", bodyBytes, 0600) fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes)) } }
<?php $BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供 $url = $BASE_URL . '/api/xiaohongshu/get-note-comment/v2?token=YOUR_API_KEY¬eId=VALUE'; $ch = curl_init(); curl_setopt($ch, CURLOPT_URL, $url); curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); curl_setopt($ch, CURLOPT_TIMEOUT, 120); curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET"); $response = curl_exec($ch); $status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE); $contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE)); curl_close($ch); echo $status . PHP_EOL; $mediaType = trim(explode(';', $contentType, 2)[0]); if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) { echo $response; } else { file_put_contents('response.bin', $response); echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL; }
业务成功时(code = 0)的主要返回字段。
code = 0
data
响应包含一页小红书笔记评论时返回的字段。
comments
array
user_id
comment_count
integer
comment_count_l1
has_more
boolean
cursor
page_context
current_sort_strategy
all_sort_strategies
all_sort_strategies[]
object
all_sort_strategies[].type
all_sort_strategies[].optional_name
all_sort_strategies[].suffix_name
data.comments[]
该笔记的一条一级评论。
id
note_id
content
time
ip_location
status
comment_type
data.comments[].user
该一级评论的作者。
userid
red_id
nickname
images
current_user
ai_agent
level
level.image
additional_tags
liked
downvoted
collected
hidden
show_type
score
track_id
translation_strategy
share_strategy
friend_liked_msg
at_users
at_users[]
at_users[].userid
at_users[].nickname
at_users[].ai_agent
at_users[].level
at_users[].level.image
hash_tags
hash_tags[]
hash_tags[].name
hash_tags[].link
hash_tags[].type
hash_tags[].disable_jump
show_tags
show_tags_v2
show_tags_v2[]
show_tags_v2[].type
show_tags_v2[].text
show_tags_v2[].style_id
show_tags_v2[].pos
biz_label
biz_label.product_review
biz_label.group_invite
biz_label.rich_text
pictures
pictures[]
pictures[].file_id
pictures[].url
pictures[].origin_url
pictures[].width
pictures[].height
pictures[].box_w
pictures[].box_h
pictures[].meme_package
pictures[].meme_package.meme_id
pictures[].meme_package.image_url
pictures[].meme_package.width
pictures[].meme_package.height
media_source_type
sub_comment_count
sub_comment_cursor
sub_comments
data.comments[].sub_comments[].user
该条附带回复的作者。
data.comments[].sub_comments[].target_comment
这条回复所针对的评论信息。
user
user.userid
user.red_id
user.nickname
user.images
user.current_user
user.ai_agent
user.level
user.level.image
user.additional_tags
data.comments[].sub_comments[]
一级评论下附带的一条回复。
小红书笔记评论 API (V2)
使用游标分页和普通、最新或点赞数排序,获取小红书(RedNote)笔记的评论。用于支持反馈审查、讨论分析和评论管理工作流。
使用提示
使用说明
我们推荐默认使用
latest排序。如果某些笔记使用latest无法获取评论,请尝试使用normal重试。请求参数
tokenstringnoteIdstringlastCursorstringsortstringlatest可用值:
-
normal:普通-
latest:最新-
like_count:点赞数代码示例
返回字段
业务成功时(
code = 0)的主要返回字段。评论列表与分页13 个字段
data响应包含一页小红书笔记评论时返回的字段。
commentsarrayuser_idstringcomment_countintegercomment_count_l1integerhas_morebooleancursorstringpage_contextstringcurrent_sort_strategystringall_sort_strategiesarrayall_sort_strategies[]objectall_sort_strategies[].typestringall_sort_strategies[].optional_namestringall_sort_strategies[].suffix_namestring评论内容7 个字段
data.comments[]该笔记的一条一级评论。
idstringnote_idstringcontentstringtimeintegerip_locationstringstatusintegercomment_typeinteger评论作者9 个字段
data.comments[].user该一级评论的作者。
useridstringred_idstringnicknamestringimagesstringcurrent_userstringai_agentbooleanlevelobjectlevel.imagestringadditional_tagsobject互动与状态11 个字段
data.comments[]like_countintegerlikedbooleandownvotedbooleancollectedbooleanhiddenbooleanshow_typestringscoreintegertrack_idstringtranslation_strategyintegershare_strategyintegerfriend_liked_msgstring图片、话题与提及39 个字段
data.comments[]at_usersarrayat_users[]objectat_users[].useridstringat_users[].nicknamestringat_users[].ai_agentbooleanat_users[].levelobjectat_users[].level.imagestringhash_tagsarrayhash_tags[]objecthash_tags[].namestringhash_tags[].linkstringhash_tags[].typestringhash_tags[].disable_jumpbooleanshow_tagsarrayshow_tags_v2arrayshow_tags_v2[]objectshow_tags_v2[].typestringshow_tags_v2[].textstringshow_tags_v2[].style_idstringshow_tags_v2[].posstringbiz_labelobjectbiz_label.product_reviewbooleanbiz_label.group_invitestringbiz_label.rich_textstringpicturesarraypictures[]objectpictures[].file_idstringpictures[].urlstringpictures[].origin_urlstringpictures[].widthintegerpictures[].heightintegerpictures[].box_wintegerpictures[].box_hintegerpictures[].meme_packageobjectpictures[].meme_package.meme_idstringpictures[].meme_package.image_urlstringpictures[].meme_package.widthintegerpictures[].meme_package.heightintegermedia_source_typeinteger回复列表与分页3 个字段
data.comments[]sub_comment_countintegersub_comment_cursorstringsub_commentsarray回复作者9 个字段
data.comments[].sub_comments[].user该条附带回复的作者。
useridstringred_idstringnicknamestringimagesstringcurrent_userstringai_agentbooleanlevelobjectlevel.imagestringadditional_tagsobject被回复的评论12 个字段
data.comments[].sub_comments[].target_comment这条回复所针对的评论信息。
idstringstatusintegeruserobjectuser.useridstringuser.red_idstringuser.nicknamestringuser.imagesstringuser.current_userstringuser.ai_agentbooleanuser.levelobjectuser.level.imagestringuser.additional_tagsobject回复内容与状态29 个字段
data.comments[].sub_comments[]一级评论下附带的一条回复。
idstringnote_idstringcontentstringtimeintegerip_locationstringlike_countintegerlikedbooleandownvotedbooleancollectedbooleanhiddenbooleanstatusintegercomment_typeintegershow_typestringscoreintegertranslation_strategyintegershare_strategyintegerfriend_liked_msgstringat_usersarrayshow_tagsarrayshow_tags_v2arrayshow_tags_v2[]objectshow_tags_v2[].typestringshow_tags_v2[].textstringshow_tags_v2[].style_idstringshow_tags_v2[].posstringbiz_labelobjectbiz_label.product_reviewbooleanbiz_label.group_invitestringbiz_label.rich_textstring响应示例